# HandlesOperator

class HPS.HandlesOperator : HPS.Operator

  Public Types

  enum HandleType

    Values:

    Rotation
    RotationX
    RotationY
    RotationZ
    AxisTranslation
    AxisTranslationX
    AxisTranslationY
    AxisTranslationZ
    PlaneTranslation
    PlaneTranslationXY
    PlaneTranslationYZ
    PlaneTranslationZX
    CenterPoint

  Public Functions

  void AddHandles (HPS.HandlesOperator.HandleType handle_type)
  void DismissHandles ()
  override void Dispose ()
  HPS.CADModel GetCADModel ()
  void GetHandlesAppearance (out float out_length, out float out_radius, out ulong out_handles_points)
  HPS.MaterialKit[] GetHandlesColors ()
  HPS.RGBAColor GetHighlightColor ()
  override string GetName ()
  void GetPlaneTranslationAppearance (out float out_plane_offset, out float out_plane_length, out float out_center_radius)
  void GetRotationHandleAppearance (out float out_offset, out float out_angle, out float out_tip_size)
  bool GetTrailingGeometry ()
  HandlesOperator ()
  HandlesOperator (HPS.HandlesOperator in_that)
  HandlesOperator (HPS.MouseButtons in_mouse_trigger)
  HandlesOperator (HPS.MouseButtons in_mouse_trigger, HPS.ModifierKeys in_modifier_trigger)
  override bool OnMouseDown (HPS.MouseState in_state)
  override bool OnMouseMove (HPS.MouseState in_state)
  override bool OnMouseUp (HPS.MouseState in_state)
  override bool OnTouchDown (HPS.TouchState in_state)
  override bool OnTouchMove (HPS.TouchState in_state)
  override bool OnTouchUp (HPS.TouchState in_state)
  override void OnViewAttached (HPS.View in_attached_view)
  override void OnViewDetached (HPS.View in_detached_view)
  void RemoveHandles (HPS.HandlesOperator.HandleType handle_type)
  void SetCADModel (HPS.CADModel in_cad_model)
  void SetHandlesAppearance ()
  void SetHandlesAppearance (float in_length)
  void SetHandlesAppearance (float in_length, float in_radius)
  void SetHandlesAppearance (float in_length, float in_radius, ulong in_handles_points)
  void SetHandlesColors (HPS.MaterialKit[] in_colors)
  void SetHighlightColor (HPS.RGBAColor in_highlight_color)
  void SetPlaneTranslationAppearance ()
  void SetPlaneTranslationAppearance (float in_plane_offset)
  void SetPlaneTranslationAppearance (float in_plane_offset, float in_plane_length)
  void SetPlaneTranslationAppearance (float in_plane_offset, float in_plane_length, float in_center_radius)
  void SetRotationHandleAppearance ()
  void SetRotationHandleAppearance (float in_offset)
  void SetRotationHandleAppearance (float in_offset, float in_angle)
  void SetRotationHandleAppearance (float in_offset, float in_angle, float in_tip_size)
  void SetTrailingGeometry (bool in_state)
  class GeometryTransformedEvent : public HPS.Event

    Public Functions

    override string ClassName ()
    override HPS.Event Clone ()
    override void Dispose ()
    GeometryTransformedEvent ()
    GeometryTransformedEvent (HPS.Event in_event)
    GeometryTransformedEvent (HPS.HandlesOperator.GeometryTransformedEvent in_that)
    GeometryTransformedEvent (HPS.View in_view, HPS.SegmentKey in_segment_key, HPS.MatrixKit in_transform)

    Properties

    HPS.SegmentKey segment_key { get; set; }
    HPS.MatrixKit transform { get; set; }
    HPS.View view { get; set; }

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating